Main Page Class Hierarchy Compound List File List Compound Members File Members

# MSG_LOGO Struct Reference

`#include <transport.h>`

List of all members.

## Public Attributes
unsigned char | type
unsigned char | mod
unsigned char | instid
WORM_MSGTYPE_ID | type
WORM_MODULE_ID | mod
WORM_INSTALLATION_ID | instid

## Member Data Documentation

WORM_INSTALLATION_ID MSG_LOGO::instid

| Definition at line 86 of file worm_types.h.

unsigned char MSG_LOGO::instid

| Definition at line 77 of file transport.h. Referenced by add_item(), AddAmpLineToPhase(), AddPhaseLineToLoc(), MutableServerBase::CheckConfig(), DecodeAuthor(), dequeue(), EncodeAuthor(), enqueue(), GetLocPhaseIndex(), InitGlobalAmp(), InitGlobalAmpLine(), InitGlobalLoc(), InitGlobalPhaseLine(), InitGlobalPick(), RingReaderServer::MainThreadActions(), peek_next_item(), pop_next_item(), WormServerBase::SendStatus(), CMFCDialogModuleBase::SendStatus(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), tport_buferror(), tport_bufthr(), tport_copyfrom(), tport_getmsg(), and tport_putmsg().

WORM_MODULE_ID MSG_LOGO::mod

| Definition at line 85 of file worm_types.h.

unsigned char MSG_LOGO::mod

| Definition at line 76 of file transport.h. Referenced by add_item(), AddAmpLineToPhase(), AddPhaseLineToLoc(), MutableServerBase::CheckConfig(), DecodeAuthor(), dequeue(), EncodeAuthor(), enqueue(), GetLocPhaseIndex(), InitGlobalAmp(), InitGlobalAmpLine(), InitGlobalLoc(), InitGlobalPhaseLine(), InitGlobalPick(), RingReaderServer::MainThreadActions(), peek_next_item(), pop_next_item(), WormServerBase::SendStatus(), CMFCDialogModuleBase::SendStatus(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), tport_buferror(), tport_bufthr(), tport_copyfrom(), tport_getmsg(), and tport_putmsg().

WORM_MSGTYPE_ID MSG_LOGO::type

| Definition at line 84 of file worm_types.h.

unsigned char MSG_LOGO::type

| Definition at line 75 of file transport.h. Referenced by add_item(), AddAmpLineToPhase(), AddPhaseLineToLoc(), MutableServerBase::CheckConfig(), DecodeAuthor(), dequeue(), EncodeAuthor(), enqueue(), InitGlobalAmp(), InitGlobalAmpLine(), InitGlobalLoc(), InitGlobalPhaseLine(), InitGlobalPick(), RingReaderServer::MainThreadActions(), peek_next_item(), pop_next_item(), WormServerBase::SendStatus(), CMFCDialogModuleBase::SendStatus(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), tport_buferror(), tport_bufthr(), tport_copyfrom(), tport_getmsg(), tport_putmsg(), and WriteLocToBuffer().

The documentation for this struct was generated from the following files:

- transport.h
- worm_types.h